## ghostscript 10.04.0~dfsg

=== debian/changelog ===
ghostscript (10.04.0~dfsg-2deepin1) unstable; urgency=medium

  * Add libgs9-common transitional package for smooth upgrading

 -- Tianyu Chen <sweetyfish@deepin.org>  Tue, 14 Jan 2025 10:22:37 +0800

ghostscript (10.04.0~dfsg-2) unstable; urgency=medium

  [ Brian Clinkenbeard ]
  * [e88d528] Use nodoc and nocheck build profiles.  Closes: #1079668.

  [ Steve Robbins ]
  * [1daaa82] Create links for example files PDF{A,X}_def.ps in
    /usr/share/doc/libgs10/examples.  Closes: #961909.
  * [d7e5887] mailcap entry supplied by Kevin Ryde.  Closes: #723712.

 -- Steve M. Robbins <smr@debian.org>  Wed, 27 Nov 2024 22:59:03 -0600

ghostscript (10.04.0~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [c78073e] New upstream version 10.04.0~dfsg
  * [6e6562a] Remove upstream patch, now applied.

 -- Steve M. Robbins <smr@debian.org>  Sat, 21 Sep 2024 18:22:44 -0500
