## ghostscript 10.05.0~dfsg

=== debian/changelog ===
ghostscript (10.05.0~dfsg-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [825db8d] New upstream version 10.05.0~dfsg.
    - Doc fixes; closes: #1092118, #1090082, #1089859, #1076834.
    - Fix armel generation; closes: #1085120.
    - Fix xml attachment; closes: #1091182.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Mar 2025 15:03:16 -0500
